import bpy
from .. preferences import preference
from . rectangle import Rectangle


def logo_boxcutter_button(x, y):

    bpy.ops.wm.grab_mouse_position('INVOKE_DEFAULT')
    mouse_pos = bpy.types.WindowManager.mouse_pos
    left_click = bpy.types.WindowManager.left_click
    right_click = bpy.types.WindowManager.right_click
    mouse_button = right_click
    
    if bpy.context.user_preferences.inputs.select_mouse == "LEFT":
        mouse_button = left_click

    button = Rectangle(x, y, x+20, y+20)

    if button.contains(mouse_pos) and mouse_button:
        preference().BoxCutter_enable_grid = not preference().BoxCutter_enable_grid
        return True
    else:
        return False
