import bpy
from ... preferences import preference


class BoxCutterSwitch(bpy.types.Operator):
        bl_idname = "boxcutter.switch"
        bl_label = "Enable/Disable BC"
        bl_options = {'REGISTER', 'UNDO'}

        def execute(self, context):
            preference().BC_switch = not preference().BC_switch
            return {'FINISHED'}
